local BrothelSystemMod = ...

---------------------

-- Apply building asset processor
BrothelSystemMod:registerAssetProcessor("models/brothel.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register all mithril factory building parts and their properties
BrothelSystemMod:dofile("scripts/brothel/building_parts.lua")


-- Register the brothel monument
BrothelSystemMod:register({
	DataType = "MONUMENT",
	Id = "BROTHEL",
	Name = "BROTHEL_NAME",
	Description = "BROTHEL_DESC",
	BuildingType = BUILDING_TYPE.MONUMENT,
	BuildingPartSetList = {
		{ 
			Name = "BROTHEL_CORE",
			BuildingPartList = { "BROTHEL" }
		},
		{
			Name = "ENTRANCE",
			BuildingPartList = {
				"BROTHEL_DOOR_A_PART"
			}
		}
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 },
		{ Category = "DOOR", Quantity = 1 }
	},
	IsManuallyUnlocked = true,
	IsDestructible = true,
	IsEditable = true,
	IsClearTrees = true
})

BrothelSystemMod:register({
	DataType = "UNLOCKABLE_BUILDING",
	Id = "UNLOCKABLE_BROTHEL",
	Name = "UNLOCKABLE_BROTHEL_NAME",
	Description = "UNLOCKABLE_BROTHEL_DESC",
	EstateInfluenceCostList = {
		{ Estate = "LABOUR", Quantity = 0 }
	},
	RelatedProp = "BROTHEL"
})

------------- LIMIT ------

